Browse Source

Fix upgrade/restore script

Julien Vaubourg 9 years ago
parent
commit
0637cdf401
3 changed files with 7 additions and 15 deletions
  1. 6 10
      scripts/install
  2. 1 1
      scripts/restore
  3. 0 4
      scripts/upgrade

+ 6 - 10
scripts/install

@@ -48,14 +48,14 @@ if ! $upgrade; then
     echo "ERROR: Only printable ASCII characters are permitted in your password (WPA2 passphrase)" >&2
     exit 1
   fi
-  
-  # Check domain/path availability
-  sudo yunohost app checkurl ${domain}${url_path} -a hotspot 
-  if [ ! $? -eq 0 ]; then
-    exit 1
-  fi
 
 fi
+  
+# Check domain/path availability
+sudo yunohost app checkurl ${domain}${url_path} -a hotspot 
+if [ ! $? -eq 0 ]; then
+  exit 1
+fi
 
 # Install packages
 packages='php5-fpm sipcalc hostapd iptables iw dnsmasq'
@@ -134,10 +134,6 @@ if ! $upgrade; then
 
 fi
 
-# Save git commit
-gitcommit=$(git rev-parse HEAD)
-sudo yunohost app setting hotspot gitcommit -v "${gitcommit}"
-
 # Install custom scripts
 sudo install -o root -g root -m 0755 ../conf/iw_multissid /usr/local/bin/
 sudo install -o root -g root -m 0755 ../conf/iw_devices /usr/local/bin/

+ 1 - 1
scripts/restore

@@ -1,6 +1,6 @@
 #!/bin/bash
 
-gitcommit=$(sudo yunohost app setting hotspot gitcommit)
+gitcommit=$(sudo grep revision /etc/yunohost/apps/hotspot/status.json | sed 's/.*"revision": "\([^"]\+\)".*/\1/')
 tmpdir=$(mktemp -dp /tmp/ hotspot-restore-XXXXX)
 
 git clone https://github.com/labriqueinternet/hotspot_ynh.git "${tmpdir}/"

+ 0 - 4
scripts/upgrade

@@ -27,13 +27,9 @@ export HOTSPOT_UPGRADE=1
 sudo bash /etc/yunohost/apps/hotspot/scripts/remove &> /dev/null
 bash ./install "${domain}" "${path}" "${wifi_ssid}" "${wifi_passphrase}" "${firmware_nonfree}"
 
-gitcommit=$(ynh_setting hotspot gitcommit)
-
 sudo cp -a "${tmpdir}/settings.yml" /etc/yunohost/apps/hotspot/
 sudo rm -r "${tmpdir}/"
 
-sudo yunohost app setting hotspot gitcommit -v "${gitcommit}"
-
 # Changes
 
 if [ -z "$(ynh_setting hotspot ip6_firewall)" ]; then